查看: 61|回复: 5

请教一下关于W1064位VS2017编译FBX插件问题

[复制链接]

该用户从未签到

发表于 2019-9-5 09:22:37 | 显示全部楼层 |阅读模式
我下载的是最新的osg3.6.3,看到fbx文件支持的版本是2013.3,但是fbx官网2013.3只有2010版本,请问我用VS2017能编译通过吗。单位没网,下载起来很麻烦,如果可以我晚上回去弄,谢谢!

该用户从未签到

 楼主| 发表于 2019-9-5 09:43:28 | 显示全部楼层
昨天我下载fbx最新版本编译还是报各种链接库的错,请问有大佬用过吗?

该用户从未签到

发表于 2019-9-5 12:23:26 | 显示全部楼层
本帖最后由 woshijiameizhou 于 2019-9-5 12:28 编辑

osg3.6.3 + FBX 2019.2 编译通过了, vs2017 x64

3个lib都要添加进去
.\FBX\FBX SDK\2019.2\lib\vs2017\x64\debug\libfbxsdk-md.lib
.\FBX\FBX SDK\2019.2\lib\vs2017\x64\debug\libxml2-md.lib
.\FBX\FBX SDK\2019.2\lib\vs2017\x64\debug\zlib-md.lib

该用户从未签到

 楼主| 发表于 2019-9-5 13:56:17 | 显示全部楼层
woshijiameizhou 发表于 2019-9-5 12:23
osg3.6.3 + FBX 2019.2 编译通过了, vs2017 x64

3个lib都要添加进去

试了下,还是不行,可以麻烦加个联系方式吗

该用户从未签到

 楼主| 发表于 2019-9-5 14:14:42 | 显示全部楼层
woshijiameizhou 发表于 2019-9-5 12:23
osg3.6.3 + FBX 2019.2 编译通过了, vs2017 x64

3个lib都要添加进去


重新Cmake了一次,这次成功了。。不过好像不管是release还是debug只会生成osgdb_fbx.dll,希望有用,谢谢了

该用户从未签到

 楼主| 发表于 2019-9-5 15:41:40 | 显示全部楼层
woshijiameizhou 发表于 2019-9-5 12:23
osg3.6.3 + FBX 2019.2 编译通过了, vs2017 x64

3个lib都要添加进去

好了,可以了, 接下来去学如何使用这种模型。谢谢了!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

OSG中国官方论坛-有您OSG在中国才更好

网站简介:osgChina是国内首个三维相关技术开源社区,旨在为国内更多的技术开发人员提供最前沿的技术资讯,为更多的三维从业者提供一个学习、交流的技术平台。

联系我们

  • 工作时间:09:00--18:00
  • 反馈邮箱:1315785073@qq.com
快速回复 返回顶部 返回列表